Package ghidra.framework.protocol.ghidra

# Enum Class GhidraURLQuery.LinkFileControl

java.lang.Object
java.lang.Enum<GhidraURLQuery.LinkFileControl>
ghidra.framework.protocol.ghidra.GhidraURLQuery.LinkFileControl

All Implemented Interfaces:
  `Serializable`, `Comparable<GhidraURLQuery.LinkFileControl>`, `Constable`

Enclosing class:
  `GhidraURLQuery`

public static enum GhidraURLQuery.LinkFileControl extends Enum<GhidraURLQuery.LinkFileControl>
`GhidraURLQuery.LinkFileControl` setting control how link-files will be followed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FOLLOW_EXTERNAL`
  All links will be followed to arrive at an end-point
  `FOLLOW_INTERNAL`
  Beyond the initial URL only internal links local to the corresponding project or repository will be followed.
  `NO_FOLLOW`
  No links are followed and only a single file/folder which corresponds to the URL will be queried.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GhidraURLQuery.LinkFileControl`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GhidraURLQuery.LinkFileControl[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_FOLLOW

    public static final GhidraURLQuery.LinkFileControl NO_FOLLOW
    No links are followed and only a single file/folder which corresponds to the URL will be queried.

  - ### FOLLOW_EXTERNAL

    public static final GhidraURLQuery.LinkFileControl FOLLOW_EXTERNAL
    All links will be followed to arrive at an end-point

  - ### FOLLOW_INTERNAL

    public static final GhidraURLQuery.LinkFileControl FOLLOW_INTERNAL
    Beyond the initial URL only internal links local to the corresponding project or repository will be followed.

- ## Method Details

  - ### values

    public static GhidraURLQuery.LinkFileControl[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GhidraURLQuery.LinkFileControl valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null